---
kind: pipeline
type: docker
name: deployment
steps:
  - name: docker build hexbomb.gay
    image: plugins/docker
    settings:
      username: thecoopcloud
      password: 
        from_secret: thecoopcloud_password
      repo: thecoopcloud/hexbomb.gay
      tags: latest

  - name: deployment hexbomb.gay
    image: thecoopcloud/stack-ssh-deploy:latest
    settings:
      stack: hexbomb_gay
      deploy_key:
        from_secret: drone_ssh_swarm.autonomic.zone
      rm: true
      host: swarm.autonomic.zone
      compose: compose.yml
      image: thecoopcloud/hexbomb.gay
    depends_on:
      - build static
